<?xml version="1.0"?>
<!--
This one outputs one line for each topic. Each line consists of the supertopic
id, if any, a space and the topic id itself.
-->
<xsl:stylesheet
  xmlns:doc="http://sammael.tabu.stw-bonn.de/schema/documentation"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  extension-element-prefixes="doc"
  version="1.0">

  <xsl:output method="text"/>
  
  <xsl:strip-space elements="*"/>

  <xsl:param name="language" select="en"/>

  <xsl:template match="//doc:language">
    <xsl:if test="lang($language)">
      <xsl:apply-templates select="doc:topic"/>
    </xsl:if>
  </xsl:template>

  <xsl:template match="doc:topic">
    <xsl:value-of select="../@id"/><xsl:text> </xsl:text>
    <xsl:value-of select="@id"/><xsl:text> </xsl:text>
    <xsl:value-of select="count(descendant::doc:topic)"/>
    <xsl:text><!-- There must be a newline. -->
</xsl:text>
    <xsl:apply-templates select="doc:topic"/>
  </xsl:template>

</xsl:stylesheet>
